Bug 496850 - [RFE] exclude rootfs from network initscript
[RFE] exclude rootfs from network initscript
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 09:11 EDT by Marc Grimme
Modified: 2014-03-16 23:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 18:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch implements the /etc/xrootfs approach. (810 bytes, patch)
2009-04-21 09:13 EDT, Marc Grimme
no flags Details | Diff

  None (edit)
Description Marc Grimme 2009-04-21 09:11:42 EDT
Description of problem:
During reboot/halt the network initscript does not terminate if the rootfilesystem is dependent on the network that is not nfs. 

Idea:
It would be nice to have it configurable. The attached patch introduces a file /etc/xrootfs that is also taken into account. The filesystem specified there will also yield a network initscript termination if the rootfs equals to the one specified there.

Version-Release number of selected component (if applicable):
fedora,rhel5

How reproducible:
make the rootfs dependent on the network and don't use nfs as network filesystem.

Steps to Reproduce:
1. Put the root filesystem on gfs/ocfs2/glusterfs and network will try to umount it and killall processes relying on it (fuser -mvk ..)
2.
3.
  
Actual results:
network stop kills processes and umounts the rootfilesystem if not nfs.

Expected results:
Other network dependent rootfilesystems should also work.


Additional info:
Comment 1 Marc Grimme 2009-04-21 09:13:57 EDT
Created attachment 340517 [details]
This patch implements the /etc/xrootfs approach.

This patch is an approach that makes the network initscript rootfilesystem dependency more configurable and dependent for a file outside the script.
Comment 2 Bill Nottingham 2009-04-21 18:22:41 EDT
There's existing code for network root devices, see the _netdev/_rnetdev options. Use that instead.
Comment 3 Marc Grimme 2009-04-22 02:32:11 EDT
Right. I only didn't use it cause gfs ignores the _netdev mountoption. I'll file a bug for GFS.

Note You need to log in before you can comment on or make changes to this bug.